# Uses of Class
com.databricks.jdbc.exception.DatabricksSSLException

Packages that use DatabricksSSLException
Package
Description
com.databricks.jdbc.dbclient.impl.common

## Uses of DatabricksSSLException in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common that throw DatabricksSSLException
Modifier and Type
Method
Description
`static CertPathTrustManagerParameters`
ConfiguratorUtils.`buildTrustManagerParameters(Set<TrustAnchor> trustAnchors, boolean checkCertificateRevocation, boolean acceptUndeterminedCertificateRevocation)`
Builds trust manager parameters for certificate path validation including certificate revocation checking.
`static org.apache.http.config.Registry<org.apache.http.conn.socket.ConnectionSocketFactory>`
ConfiguratorUtils.`createConnectionSocketFactoryRegistry(IDatabricksConnectionContext connectionContext)`
Creates a registry of connection socket factories based on the connection context.
`static org.apache.http.impl.conn.PoolingHttpClientConnectionManager`
ConfiguratorUtils.`getBaseConnectionManager(IDatabricksConnectionContext connectionContext)`
Creates and configures the connection manager based on the connection context.
`static Set<TrustAnchor>`
ConfiguratorUtils.`getTrustAnchorsFromTrustStore(KeyStore trustStore)`
Extracts trust anchors from a KeyStore.
`static KeyStore`
ConfiguratorUtils.`loadKeystoreOrNull(IDatabricksConnectionContext connectionContext)`
Loads a key store from the path specified in the connection context.
`static KeyStore`
ConfiguratorUtils.`loadTruststoreOrNull(IDatabricksConnectionContext connectionContext)`
Loads a trust store from the path specified in the connection context.
Constructors in com.databricks.jdbc.dbclient.impl.common that throw DatabricksSSLException
Modifier
Constructor
Description
``
`ClientConfigurator(IDatabricksConnectionContext connectionContext)`